# norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  %{_var}/lib/pear

Name:				php5-pear-services_weather
Version:			1.4.2
Release:			1.4
Summary:			Acts as an interface to various online weather-services
License:			BSD License
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Services_Weather
Source0:			http://pear.php.net/get/Services_Weather-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

PreReq:			php5-pear
Requires:		php5-pear-db
BuildRequires:	php5-pear

%description
Services_Weather searches for given locations and retrieves current
weather data and, dependent on the used service, also forecasts.
Up to now, GlobalWeather from CapeScience, Weather XML from EJSE
(US only), a XOAP service from Weather.com and METAR/TAF from NOAA
are supported.
Further services will get included, if they become available,
have a usable API and are properly documented.


Author:
-------
	Alexander Wirtz

%prep
%setup -c 
pear -v -c pearrc \
		  -d php_dir=%{peardir} \
		  -d doc_dir=/docs \
   	  -d bin_dir=%{_bindir} \
		  -d data_dir=%{peardir}/data \
		  -d test_dir=%{peardir}/tests \
		  -d ext_dir=%{_libdir} \
		  -s

%build
%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}
%__mv %{buildroot}/docs .

# Install XML package description
%__mkdir_p %{buildroot}%{xmldir}
%__tar -xzf %{SOURCE0} package.xml
%__cp package.xml %{buildroot}%{xmldir}/Services_Weather.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_Weather.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_Weather
fi

%files
%defattr(-, root, root)
%doc docs/Services_Weather
%dir %{peardir}/Services
%dir %{peardir}/Services/Weather
%dir %{peardir}/data/Services_Weather
%dir %{peardir}/data/Services_Weather/images
%dir %{peardir}/Services/Weather.php
%{peardir}/Services/Weather/*.php
%{peardir}/data/Services_Weather/buildMetarDB.php
%{peardir}/data/Services_Weather/images/*.gif
%{_var}/lib/pear/Services_Weather.xml

%changelog
* Wed Oct 24 2007 Marcus Hüwe <suse-tux@gmx.de>
- initial build
